import {Component, OnInit} from '@angular/core';
import {HelloResponse, HelloService} from '../../../gen';

@Component({
  selector: 'app-hello',
  standalone: false,
  templateUrl: './hello.component.html',
  styleUrl: './hello.component.css'
})
export class HelloComponent implements OnInit {
  public helloValue: string = "Loading...";

  constructor(private helloService: HelloService) {
  }

  ngOnInit(): void {
    this.helloService.getHello().subscribe({
      next: (response: HelloResponse): void => {
        this.helloValue = response.value || "";
      },
      error: (err: Error): void => {
        this.helloValue = err.message;
      }
    });
  }
}
